<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{4E5C819F-CA68-4F7C-924F-8D861648C959}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Zanetti</RootNamespace>
    <AssemblyName>OmegaChart</AssemblyName>
    <StartupObject>Zanetti.Env</StartupObject>
    <ApplicationIcon>omegachart.ico</ApplicationIcon>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;ENABLE_SUPPORT_COMMAND</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <CodePage>932</CodePage>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <CodePage>932</CodePage>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="grammatica-1.5">
      <HintPath>3rdParty\grammatica-1.5.dll</HintPath>
    </Reference>
    <Reference Include="MagicLibrary">
      <HintPath>3rdParty\MagicLibrary.DLL</HintPath>
    </Reference>
    <Reference Include="SevenZipSharp">
      <HintPath>3rdParty\SevenZipSharp.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AboutBox.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="AccumulativeVolume.cs" />
    <Compile Include="ArithmeticLibrary.cs" />
    <Compile Include="AssemblyInfo.cs" />
    <Compile Include="AutoTrading.cs" />
    <Compile Include="AutoTradingDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="AutoTradingResultPane.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="AutoTradingSummaryDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Base64.cs" />
    <Compile Include="BigInteger.cs" />
    <Compile Include="Bookmark.cs" />
    <Compile Include="BookmarkPane.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Brand.cs" />
    <Compile Include="BrandListPane.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ButtonEx.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ChartCanvas.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="ChartDrawing.cs" />
    <Compile Include="ChartTitle.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CodeBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="CodeInput.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ColPickerComboBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Command.cs" />
    <Compile Include="CustomComboBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="CustomizeDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Data.cs" />
    <Compile Include="DecupleData.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="DecupleData.Designer.cs">
      <DependentUpon>DecupleData.cs</DependentUpon>
    </Compile>
    <Compile Include="DataSource.cs" />
    <Compile Include="DateRangeChecker.cs" />
    <Compile Include="DisplayKitTemplateDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Download.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="DownloadIndexFileDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="DownloadOrder.cs" />
    <Compile Include="DreamVisor.cs" />
    <Compile Include="Edatalab.cs" />
    <Compile Include="EnumDescription.cs" />
    <Compile Include="Env.cs" />
    <Compile Include="EnvironmentDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="EnvironmentDialog.Designer.cs">
      <DependentUpon>EnvironmentDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Eval.cs" />
    <Compile Include="Export.cs" />
    <Compile Include="ExportDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ExportDialog.Designer.cs">
      <DependentUpon>ExportDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="ExpressionConstructor.cs" />
    <Compile Include="Expressions.cs" />
    <Compile Include="ExtensionKit.cs" />
    <Compile Include="ExtensionKitList.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FreeLine.cs" />
    <Compile Include="Graphics.cs" />
    <Compile Include="Hahaha.cs" />
    <Compile Include="hdatelier.cs" />
    <Compile Include="History.cs" />
    <Compile Include="HotKey.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="HTTPConnection.cs" />
    <Compile Include="ImageListForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Indicator.cs" />
    <Compile Include="IndicatorSchema.cs" />
    <Compile Include="IndicatorSet.cs" />
    <Compile Include="InitializeData.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="KdbCom.cs" />
    <Compile Include="KenMille.cs" />
    <Compile Include="KeyConfig.cs" />
    <Compile Include="KeyConfigDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="KitTestDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MainFrame.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Mujinzou.cs" />
    <Compile Include="NotClickableButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Options.cs" />
    <Compile Include="PanRolling.cs" />
    <Compile Include="parser\ZPredicationAnalyzer.cs" />
    <Compile Include="parser\ZPredicationConstants.cs" />
    <Compile Include="parser\ZPredicationParser.cs" />
    <Compile Include="parser\ZPredicationTokenizer.cs" />
    <Compile Include="PKIBase.cs" />
    <Compile Include="Prediction.cs" />
    <Compile Include="PredictionDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="PredictionResultPane.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Preference.cs" />
    <Compile Include="Print.cs" />
    <Compile Include="PromptContribution.cs">
      <SubType>Form</SubType>
    </Compile>
    <EmbeddedResource Include="AboutBox.resx">
      <DependentUpon>AboutBox.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="AutoTradingDialog.resx">
      <DependentUpon>AutoTradingDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="AutoTradingSummaryDialog.resx">
      <DependentUpon>AutoTradingSummaryDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="BookmarkPane.resx">
      <DependentUpon>BookmarkPane.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ButtonEx.resx">
      <DependentUpon>ButtonEx.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ChartCanvas.resx">
      <DependentUpon>ChartCanvas.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="CodeInput.resx">
      <DependentUpon>CodeInput.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="CustomizeDialog.resx">
      <DependentUpon>CustomizeDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="DecupleData.resx">
      <DependentUpon>DecupleData.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="DisplayKitTemplateDialog.resx">
      <DependentUpon>DisplayKitTemplateDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Download.resx">
      <DependentUpon>Download.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ExtensionKitList.resx">
      <DependentUpon>ExtensionKitList.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ImageListForm.resx">
      <DependentUpon>ImageListForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="InitializeData.resx">
      <DependentUpon>InitializeData.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="KeyConfigDialog.resx">
      <DependentUpon>KeyConfigDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="KitTestDialog.resx">
      <DependentUpon>KitTestDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="MainFrame.resx">
      <DependentUpon>MainFrame.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="PredictionDialog.resx">
      <DependentUpon>PredictionDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="PredictionResultPane.resx">
      <DependentUpon>PredictionResultPane.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="PromptContribution.resx">
      <DependentUpon>PromptContribution.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Registration.resx">
      <DependentUpon>Registration.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ScreeningDialog.resx">
      <DependentUpon>ScreeningDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="ScreeningResultPane.resx">
      <DependentUpon>ScreeningResultPane.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="SearchBrandDialog.resx">
      <DependentUpon>SearchBrandDialog.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="SelectBookmarkFolder.resx">
      <DependentUpon>SelectBookmarkFolder.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UtilityLibrary\Menus\MenuItemEx.resx">
      <DependentUpon>MenuItemEx.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UtilityLibrary\WinControls\ColorListBox.resx">
      <DependentUpon>ColorListBox.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UtilityLibrary\WinControls\ColorPickerDropDown.resx">
      <DependentUpon>ColorPickerDropDown.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UtilityLibrary\WinControls\CustomColorDlg.resx">
      <DependentUpon>CustomColorDlg.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UtilityLibrary\WinControls\NumericTextBox.resx">
      <DependentUpon>NumericTextBox.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="PublicKey.cs" />
    <Compile Include="Registration.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="RSA.cs" />
    <Compile Include="Screening.cs" />
    <Compile Include="ScreeningDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ScreeningResultPane.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SearchBrandDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SelectBookmarkFolder.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SimpleSign.cs" />
    <Compile Include="SortableListView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="StaticGrouping.cs" />
    <Compile Include="Statistics.cs" />
    <Compile Include="StorageNode.cs" />
    <Compile Include="StreamWithSignature.cs" />
    <Compile Include="SystemTrading.cs" />
    <Compile Include="TextUtil.cs" />
    <Compile Include="TimeSeries.cs" />
    <Compile Include="ToggleButtonEx.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Util.cs" />
    <Compile Include="UtilityLibrary\General\ColorUtil.cs" />
    <Compile Include="UtilityLibrary\General\GDIUtil.cs" />
    <Compile Include="UtilityLibrary\Menus\ColorGroup.cs" />
    <Compile Include="UtilityLibrary\Menus\MenuItemEx.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UtilityLibrary\Win32\Enums.cs" />
    <Compile Include="UtilityLibrary\Win32\Functions.cs" />
    <Compile Include="UtilityLibrary\Win32\Structs.cs" />
    <Compile Include="UtilityLibrary\WinControls\ColorListBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UtilityLibrary\WinControls\ColorPickerDropDown.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UtilityLibrary\WinControls\CustomColorDlg.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UtilityLibrary\WinControls\NumericTextBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Visitor.cs" />
    <Compile Include="Win32.cs" />
    <Compile Include="XmlStorageRW.cs" />
    <Compile Include="XmlUtil.cs" />
    <Compile Include="Yahoo.cs" />
    <Compile Include="ZMenuItem.cs">
      <SubType>Component</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="omegachart.ico" />
  </ItemGroup>
  <ItemGroup>
    <None Include="parser\c.sh" />
    <None Include="parser\condition.grammar" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy "$(SolutionDir)3rdParty\7z*.dll" "$(TargetDir)"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>